﻿
@model FieldViewModel

<div class="row justify-content-center">
    <div id="form2-container" class="col-12">
        <partial name="FormField" />
        <div class="row justify-content-center">
            <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 mb-3">
                @{
                    var homeIndexUrl = Url.Action("Index", "Item");
                }
                <form method="get" action="@homeIndexUrl">
                    <input type="hidden" name="toDoId" value="@Model.ToDoId" />
                    <input type="submit" class="btn btn-outline-secondary" value="Back" />
                </form>
            </div>
</div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
        <table class="table">
            <thead>
                <tr class="table-secondary">
                    <th scope="col">Name</th>
                    <th scope="col">Value</th>
                    <th scope="col"></th>

                </tr>
            </thead>
            <tbody>
                @foreach (var t in Model.Fields)
                {
                    <tr>

                        <td class="todos-column"> @t.Name </td>
                        <td class="todos-column"> @t.Value </td>
                        <td class="buttons-column">
                            <input type="submit" class="btn btn-outline-secondary" value="Update" onClick="populateFormField(@t.Id)" />
                            <input type="submit" class="btn btn-outline-secondary" value="Delete" onClick="deleteField(@t.Id)" />
                        </td>
    
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>

